Bug 225351 - math/openblas: compiler error: /lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found
Summary: math/openblas: compiler error: /lib/libgcc_s.so.1: version GCC_4.6.0 required...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 225128
  Show dependency treegraph
 
Reported: 2018-01-21 10:25 UTC by O. Hartmann
Modified: 2018-01-31 08:20 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (phd_kimberlite)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-01-21 10:25:47 UTC
The error below occurs with poudriere, building port math/openblas. The host and the jail are both(!) running recent CURRENT (FreeBSD 12.0-CURRENT #38 r328211: Sun Jan 21 08:48:56 CET 2018 amd64, CLANG 6.0.0, WITH_LLD_IS_LD=YES):

[...]
cc -O2 -DUTEST_CHECK -DSANITY_CHECK -DREFNAME=test_potrsf_ -DMAX_STACK_ALLOC=2048 -DEXPRECISION -Wall -m64 -DF_INTERFACE_GFORT -fPIC -DDYNAMIC_ARCH -DNO_AVX -DNO_AVX2 -DNO_WARMUP -DMAX_CPU_NUMBER=1 -DASMNAME=test_potrs -DASMFNAME=test_potrs_ -DNAME=test_potrs_ -DCNAME=test_potrs -DCHAR_NAME=\"test_potrs_\" -DCHAR_CNAME=\"test_potrs\" -DNO_AFFINITY -I..   -c -o test_potrs.o test_potrs.c
cc -O2 -DUTEST_CHECK -DSANITY_CHECK -DREFNAME=f_ -DMAX_STACK_ALLOC=2048 -DEXPRECISION -Wall -m64 -DF_INTERFACE_GFORT -fPIC -DDYNAMIC_ARCH -DNO_AVX -DNO_AVX2 -DNO_WARMUP -DMAX_CPU_NUMBER=1 -DASMNAME= -DASMFNAME=_ -DNAME=_ -DCNAME= -DCHAR_NAME=\"_\" -DCHAR_CNAME=\"\" -DNO_AFFINITY -I..  -o openblas_utest utest_main.o test_amax.o test_potrs.o ../libopenblas-r0.2.20.a -lm  -Wl,-rpath=/usr/local/lib/gcc6  -L/usr/local/lib/gcc6 -B/usr/local/bin -fstack-protector -lgfortran -lm  -Wl,-rpath=/usr/local/lib/gcc6  -L/usr/local/lib/gcc6 -B/usr/local/bin -fstack-protector -lgfortran -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0 -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0/../../../../../x86_64-portbld-freebsd12.0/lib -L/usr/local/lib/gcc6/gcc/x86_64-portbld-freebsd12.0/6.4.0/../../..  -lgfortran -lm -lquadmath -lm -lc  
./openblas_utest
/lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found
gmake[2]: *** [Makefile:25: run_test] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/math/openblas/work/OpenBLAS-0.2.20/utest'
gmake[1]: *** [Makefile:118: tests] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/math/openblas/work/OpenBLAS-0.2.20'
*** Error code 2

Stop.
make: stopped in /usr/ports/math/openblas
Comment 1 Antoine Brodin freebsd_committer 2018-01-23 20:07:50 UTC
This should be fixed after base r328286

Rebuild world and try again.
Comment 2 Yuri Victorovich freebsd_committer 2018-01-31 08:20:36 UTC
I'm seeing the same error on 11.1 r328587 in devel/RStudio:

> $ rstudio --run-diagnostics
> Using R script: /usr/local/bin/R
> ......
> R session launched, attempting to connect on port 9969...
> /lib/libgcc_s.so.1: version GCC_4.6.0 required by /usr/local/lib/gcc6/libgfortran.so.3 not found